API referenceBroadcasts
List broadcast recipients
GET
/broadcasts/{id}/recipientsRecipients with one event type (sent, delivered, opened, clicked, bounced, complained, unsubscribed, suppressed).
Authorization
apiKey AuthorizationBearer <token>
A project API key: Authorization: Bearer s0_…
In: header
Path Parameters
id*string
Length
1 <= length <= 64Query Parameters
limit?integer
Range
1 <= value <= 100after?string
Length
1 <= length <= 64before?string
Length
1 <= length <= 64type*string
Value in
- "sent"
- "delivered"
- "opened"
- "clicked"
- "bounced"
- "complained"
- "unsubscribed"
- "suppressed"
email?string
Length
1 <= length <= 320bounce_type?string
Value in
- "permanent"
- "transient"
- "undetermined"
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/broadcasts/string/recipients?type=sent"{ "object": "list", "has_more": true, "data": [ { "id": "string", "contact_id": "string", "email": "string", "count": -9007199254740991, "clicked_links": [ { "url": "string", "clicks": -9007199254740991 } ], "bounce_type": "permanent" } ]}